Description

When the user will press '"' or '<' the assist will open and display a list of files/folders available.This is feature can be seen in Visual Studio

2010.

The files chosen to be searched are .h .hpp .hh , but i propose this to be customizable.

History

#1 - 02/11/2011 11:44 PM - Razvan Oprea

- % Done changed from 70 to 90

Tested in Linux and it seems to work fine.

#2 - 02/13/2011 01:30 PM - Razvan Oprea

- Status changed from In Progress to Ready for QA

- Assignee set to Razvan Oprea

- % Done changed from 90 to 100

- Estimated time set to 12.00

I have finished the final version of the assist include and it is ready for testing.

The only issue remaining: The .SVN directory will always be on top of file/folder list.

#3 - 02/14/2011 08:09 AM - Razvan Oprea

- File IDE_MT.patch added

- File IDE_ST.patch added

#4 - 02/15/2011 12:34 AM - Razvan Oprea

I have discovered some bugs. The fix will come shortly.

#5 - 02/26/2011 08:24 PM - Razvan Oprea

- Status changed from Ready for QA to In Progress

- % Done changed from 100 to 90

The single threaded version has many flaws and it will not work properly. I have found a way to adapt the multithreaded version to work on a single thread.

#6 - 04/25/2011 05:52 PM - Miroslav Fidler
- Status changed from In Progress to Ready for QA

OK, as there was no progress here, I have used my own implementation and it seems to work just fine.

#7 - 09/29/2011 11:39 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved

Files

IDE_MT.patch 34.3 KB 02/14/2011 Razvan Oprea

IDE_ST.patch 33 KB 02/14/2011 Razvan Oprea
